import { Component, h, Host, State } from '@stencil/core';
const seriesOptions = [
  {
    label: 'How I met your mother?',
    value: 'himym',
  },
  {
    label: 'Stranger things',
    value: 'stranger-things',
  },
  {
    label: 'Black mirror',
    value: 'black-mirror',
  },
];
export class ShowcaseCheckboxGroup {
  constructor() {
    this.series = ['himym', 'black-mirror'];
  }
  render() {
    return (h(Host, null,
      h("dvn-card", { leaned: true },
        h("dvn-checkbox-group", { onChange: (e) => this.series = e.detail, options: seriesOptions, value: this.series }),
        h("br", null),
        h("dvn-checkbox-group", { inline: true, onChange: (e) => this.series = e.detail, options: seriesOptions.map(o => o.value === 'black-mirror' ? (Object.assign(Object.assign({}, o), { disabled: true })) : o), tint: 'warning', value: this.series }))));
  }
  static get is() { return "showcase-checkbox-group"; }
  static get states() { return {
    "series": {}
  }; }
}
